# share

## Description

Share the information from an app to an external application.

## Input / Parameter

| Name            | Description                     | Input Type  | Default | Options | Required |
| --------------- | ------------------------------- | ----------- | ------- | ------- | -------- |
| subject         | The subject of the information. | String/Text | -       | -       | No       |
| message         | The message to be shared.       | String/Text | -       | -       | No       |
| url             | The url to be shared.           | String/Text | -       | -       | Yes      |
| files           | Array of files.                 | Array/List  | -       | -       | Yes      |
| chooserTitle    | Choose the title of the dialog. | String/Text | -       | -       | Yes      |
| appPackageName  | The name of the package.        | String/Text | -       | -       | Yes      |
| iPadCoordinates | The coordinates of iPad popup.  | String/Text | -       | -       | Yes      |

## Output

N/A

## Callback

### callback

The function to be executed when information is successfully shared.

### errorCallback

The function to be executed when information is not shared successfully.

## Video

Coming Soon.

## Example

Coming Soon.

### Steps

Coming Soon.

### Result

Coming Soon.

## Links


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.emobiq.com/emobiq-client/006-actions-and-visual-logic/action-reference/cordova/app/share.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
